#!/bin/bash

# Zavolá webovou službu a vypíše odpověď na standardní výstup

# Soubor se vstupními daty
data="pokus-data.xml";

# URL služby
url="http://nekurak.net/ws/pokusnaSluzba";

# XML přicházející jako odpověď ze serveru není odsazené →
# pokud máme XML odsazovač, hezky si ho naformátujeme.
odsazovac="cat";
xmlindent="/usr/bin/xmlindent";
if [ -f ${xmlindent} ]
then
    odsazovac=${xmlindent};
fi

# -s = skryjeme statistiky (chybový výstup)
# -H = nastavíme správný typ dat (jinak by se použil application/x-www-form-urlencoded)
# -d @ = načteme data ze souboru
curl -s  -H "Content-Type: text/xml"  -d @${data} ${url} | ${odsazovac};
